/* Trust */
@media only screen and (max-width: 640px) {
  body[data-col-gap="50px"] #trust.vc_row-fluid .wpb_column {
    padding: 0;
    margin: 1rem -1px;
    width: calc(100% + 2px);
  }

  .trust-header {
    padding: 0 2rem;
  }

  body[data-col-gap="50px"] .trust-header.vc_row-fluid .span_12 {
    margin: 0 !important;
  }
}

/* How it works */
#how-it-works,
#trust {
  margin: 14em 0;
}

body[data-col-gap="50px"] #how-it-works .vc_row-fluid .wpb_column {
  padding-left: 0.3rem;
  padding-right: 0.3rem;
}

@media only screen and (max-width: 640px) {

  #how-it-works,
  #trust {
    margin: 4rem 0;
  }

  body[data-col-gap="50px"] #how-it-works .vc_row-fluid .wpb_column {
    padding-left: 25px;
    padding-right: 25px;
  }
}

@media only screen and (max-width: 1024px) {

  #how-it-works,
  #trust {
    margin: 6em 0;
  }
}

#how-it-works h2,
#trust h2,
#why-palomarr h2,
#audience h2 {
  padding-bottom: 0.5rem;
  background: linear-gradient(160deg, #5AAE7F, #2F9376, #307D78, #252827);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  display: block;
  margin: 0 auto;
}

#how-it-works h5,
#trust h5,
#audience h5 {
  line-height: 1.6rem;
}

#trust .nectar-post-grid[data-text-layout*=all_bottom_left] .content {
  display: flex !important;
  flex-direction: column !important;
  justify-content: space-between !important;
  height: 100%;
}

#trust .nectar-post-grid[data-grid-item-height="50vh"] .nectar-post-grid-item {
  min-height: 22rem;
}

#trust .content .nectar-post-grid-link {
  order: 1;
}

#trust .content .meta-category {
  order: 0;
  flex: 0 0 auto;
  align-self: flex-start;
}

#trust .content .item-main {
  order: 2;
  flex: 0 0 auto;
}

/* Top Suppliers Row */
.top-suppliers-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 3rem 0 0 !important;
  padding: 2rem 0;
  flex-wrap: wrap;
}

.top-supplier-logo {
  flex: 0 0 auto;
  max-width: 150px;
  min-width: 80px;
  height: 105px !important;
  transition: transform 0.2s ease, opacity 0.2s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #fcfff6;
  position: relative;
}

/* Tablet: 4 logos per row */
@media only screen and (max-width: 1024px) {
  .top-supplier-logo {
    flex: 0 0 calc(25% - 1rem);
    margin-bottom: 1.5rem;
  }

  .top-suppliers-row {
    padding: 0rem 0 2rem;
  }

  .trust-header {
    margin-bottom: 2rem !important;
  }

  .top-supplier-logo {
    height: 76px !important;
  }
}

.top-supplier-logo:hover {
  transform: scale(1.05);
  opacity: 0.8;
}

.top-supplier-logo::after {
  content: attr(data-supplier-name);
  position: absolute;
  bottom: -12%;
  left: 50%;
  transform: translateX(-50%);
  color: #4b6058;
  padding: 0 0.6rem 0.1rem;
  border-radius: 100px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s ease;
  margin-bottom: 0.5rem;
  font-size: 0.8rem;
  font-family: "Satoshi-Medium", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif !important;
  z-index: 1000;
}

.top-supplier-logo:hover::after {
  opacity: 1;
}

.top-supplier-logo img {
  width: 100% !important;
  height: 100% !important;
  max-height: 90px !important;
  object-fit: contain;
  display: block;
  mix-blend-mode: darken;
}

.top-supplier-logo[data-supplier-name="Genesys"] img {
  max-height: 53px !important;
}

.top-supplier-logo[data-supplier-name="Frontier"] img,
.top-supplier-logo[data-supplier-name="T-Mobile"] img,
.top-supplier-logo[data-supplier-name="AT&T"] img {
  max-height: 60px !important;
}

.top-supplier-logo[data-supplier-name="Aryaka"] img,
.top-supplier-logo[data-supplier-name="Vonage"] img,
.top-supplier-logo[data-supplier-name="8x8"] img {
  max-height: 65px !important;
}

.top-supplier-logo[data-supplier-name="Quiq"] img {
  max-height: 68px !important;
}

.top-supplier-logo[data-supplier-name="8x8"] img,
.top-supplier-logo[data-supplier-name="Assembled"] img {
  max-height: 70px !important;
}

.top-supplier-logo[data-supplier-name="Amazon Connect (CloudWave)"] img {
  max-height: 75px !important;
}

.top-supplier-logo[data-supplier-name="Cloudflare"] img,
.top-supplier-logo[data-supplier-name="MS Teams (Fusion Connect)"] img,
.top-supplier-logo[data-supplier-name="GoTo"] img {
  max-height: 80px !important;
}

.top-supplier-logo[data-supplier-name="Salesforce"] img {
  max-height: 85px !important;
}

.top-supplier-logo[data-supplier-name="Talkdesk"] img {
  max-height: 92px !important;
}

.top-supplier-logo[data-supplier-name="Nextiva"] img,
.top-supplier-logo[data-supplier-name="Ontinue"] img {
  max-height: 100px !important;
}

.top-supplier-logo[data-supplier-name="Akamai"] img,
.top-supplier-logo[data-supplier-name="Cato Networks"] img,
.top-supplier-logo[data-supplier-name="LevelBlue (AT&T)"] img,
.top-supplier-logo[data-supplier-name="Broadvoice"] img,
.top-supplier-logo[data-supplier-name="Lumen"] img,
.top-supplier-logo[data-supplier-name="Bigleaf"] img,
.top-supplier-logo[data-supplier-name="Nitel"] img,
.top-supplier-logo[data-supplier-name="BCM One"] img {
  max-height: 105px !important;
}

.top-supplier-logo[data-supplier-name="eSentire"] img {
  max-height: 140px !important;
}

.top-supplier-logo[data-supplier-name="Replicant"] img,
.top-supplier-logo[data-supplier-name="Sharpen"] img {
  filter: invert(1) contrast(2) !important;
}

@media only screen and (max-width: 640px) {
  .top-suppliers-row {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    padding: 1rem;
    margin: 2rem 0;
  }

  .top-supplier-logo {
    max-width: 100px;
    min-width: 60px;
  }

  .top-supplier-logo img {
    margin-bottom: 0 !important;
  }

  .top-supplier-logo:nth-of-type(7),
  .top-supplier-logo:nth-of-type(8) {
    display: none;
  }
}

#how-it-works h5 {
  margin-top: 3rem;
}

.how-it-works-cards {
  margin: 7rem auto;
  max-width: 70rem;
}

.how-it-works-card .vc_column-inner {
  box-shadow: 0 3px 24px 0 #c4c3b63d;
  padding: 2.5rem;
  transition: all 0.3s ease-in-out;
}

.how-it-works-card .vc_column-inner:hover {
  box-shadow: 0 3px 24px 0 #abaa9e50;
  transform: translateY(-2px);
}

.how-it-works-card h3 {
  font-size: 2.2rem !important;
}

.how-it-works-card.ask h3 {
  color: #2780A7;
}

.how-it-works-card.match h3 {
  color: #2F9376;
}

.how-it-works-card.meet h3 {
  color: #63AE4E;
}

.how-it-works-card p {
  font-size: 0.95rem !important;
}

.how-it-works-stat p {
  position: relative;
  font-size: 0.8rem !important;
  line-height: 1.3rem;
  padding-left: 1.2rem;
}

.how-it-works-stat p:before {
  content: "";
  width: 0.6rem;
  height: 0.6rem;
  display: inline-block;
  background: url(/wp-content/uploads/2025/05/icon-star-filled-g.svg) no-repeat center center;
  background-size: cover;
  margin-right: 0.4rem;
  position: absolute;
  top: 0.35rem;
  left: 0;
}

@media only screen and (max-width: 640px) {
  .how-it-works-cards {
    margin: 0;
  }

  .how-it-works-card.wpb_column:not([class*=vc_col-xs]) {
    margin-bottom: 1rem;
  }

  div#how-it-works {
    margin-bottom: 7rem;
  }

  .how-it-works-card h3 {
    font-size: 2rem !important;
  }
}

@media only screen and (min-width: 641px) and (max-width: 1024px) {
  .how-it-works-cards {
    margin: 3rem auto;
  }

  .how-it-works-card {
    margin-bottom: 0.7rem !important;
    flex: 0 0 calc(33% - 0.6rem);
    display: flex;
  }

  body[data-col-gap="50px"] #how-it-works .span_12 {
    margin: 0 !important;
    flex-direction: row;
    gap: 1rem;
  }

  body[data-col-gap="50px"] #how-it-works .span_12>.col {
    padding: 0 !important;
  }

  .how-it-works-card .vc_column-inner {
    padding: 2rem;
    height: 100%;
    display: flex;
    flex-direction: column;
  }
}
